{ pkgs, ... }:
with pkgs;
[
    wget
    # Editors
    vim emacs
    # Instant Messaging
    tdesktop weechat
    # Art
    gimp krita blender
    # Games
    multimc
    # Internet
    firefox
    # Terminal Emulator
    alacritty
    # Readers
    zathura mupdf
    # Viewers
    feh w3m
    # Bar
    polybar
    # App Search
    rofi
    # Office Tools
    texlive.combined.scheme-basic
    
    # MicroControler development
    arduino

    stdenv
    findutils
    coreutils
    psmisc
    iputils
    nettools
    netcat
    rsync
    iotop
    python
    unzip
    zip
    p7zip
    bind
    file
    bc
    sshuttle
    lsof
    patchelf
    binutils
    git
    gcc
    fuse
    nmap
    tomb
    gnupg
    nixos-container
    nix-prefetch-git
  ]
