{ pkgs, ... }:
{
  users.extraGroups = [
    { name = "jonas"; gid = 1000; }
  ];
  # Define a user account. Don't forget to set a password with ‘passwd’.
  users.extraUsers.jonas = {
     description = "Martin Klimes";
     home = "/home/klimi";
     group = "klimi";
     extraGroups = [
       "users"
       "wheel"
       "root"
       "adm"
       "cdrom"
       "fuse"
       "wireshark"
       "sway"
       "networkmanager"
     ];
     uid = 1000;
     isNormalUser = true;
     useDefaultShell = false;
     shell = pkgs.fish;
     #openssh.authorizedKeys.keys = [
     #  "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKiAS30ZO+wgfAqDE9Y7VhRunn2QszPHA5voUwo+fGOf jonas"
     # ];
  };
}
