{ pkgs, ... }:
{
  # Enable CUPS to print documents.
  services.printing.enable = true;

  # programs.sway.enable = true;
  # programs.sway.extraPackages = with pkgs; [
  #   i3status xwayland dmenu termite
  # ];
  # programs.sway.extraSessionCommands = ''
  #   export XKB_DEFAULT_LAYOUT="us"
  #   export XKB_DEFAULT_VARIANT="altgr-intl"
  #   export XKB_DEFAULT_OPTIONS="eurosign:e"
  #   export WLC_REPEAT_DELAY=660
  #   export WLC_REPEAT_RATE=25
  # '';

  # Enable the X11 windowing system.
  services.xserver.enable = true;
  services.xserver.enableCtrlAltBackspace = true;
  services.xserver.layout = "gb";
  # services.xserver.xkbVariant = "altgr-intl";
  # services.xserver.xkbOptions = "eurosign:e";

  # Enable XMonad
  services.xserver.windowManager.xmonad.enable = true;
  services.xserver.windowManager.xmonad.enableContribAndExtras = true;
  services.xserver.windowManager.xmonad.extraPackages = self: [
    self.yeganesh
    self.taffybar
    self.xmobar
    pkgs.dmenu2
];
#services.xserver.displayManager.lightdm.enable = true;
  services.xserver.displayManager.slim.defaultUser = "klimi";
  services.xserver.displayManager.job.logToFile = true;

  # services.xserver.desktopManager.gnome3.enable = true;
  # services.xserver.desktopManager.xterm.enable = false;

  services.upower.enable = true;

  # Haskell Reflex FRP
  # nix.trustedBinaryCaches = [
  #   "https://nixcache.reflex-frp.org"
  # ];
  # nix.binaryCachePublicKeys = [
  #   "ryantrinkle.com-1:JJiAKaRv9mWgpVAz8dwewnZe0AzzEAzPkagE9SP5NWI="
  # ];
  #services.xserver.windowManager.xmonad.enableContribAndExtras = true;
}
